# $Revision: 1.93 $, $Date: 2012/06/07 10:14:46 $
Summary:	An image viewer and browser for GNOME
Summary(pl.UTF-8):	Przeglądarka obrazków dla GNOME
Name:		gthumb
Version:	3.0.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gthumb/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	248b44f2fba99701e9185d9a890c4537
URL:		http://gthumb.sourceforge.net/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	brasero-devel >= 3.2.0
BuildRequires:	clutter-devel >= 1.0.0
BuildRequires:	clutter-gtk-devel >= 1.0.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel >= 0.21
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gstreamer-devel >= 0.10.0
BuildRequires:	gtk+3-devel >= 3.2.0
BuildRequires:	intltool >= 0.35.5
BuildRequires:	libchamplain-devel >= 0.12
BuildRequires:	libgnome-keyring-devel >= 3.2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libopenraw-devel >= 0.0.8
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.34.0
BuildRequires:	libsoup-gnome-devel >= 2.36.0
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz >= 1:4.999.7
BuildRequires:	zlib-devel
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.2.0
Requires:	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gThumb lets you browse your hard disk, showing you thumbnails of image
files. It also lets you view single files (including GIF animations),
add comments to images, organize images in catalogs, print images,
view slideshows, set your desktop background, and more.

%description -l pl.UTF-8
gThumb pozwala na przeglądanie twardego dysku z pokazywaniem
miniaturek plików z obrazkami. Pozwala także oglądać pojedyncze pliki
(w tym animacje GIF), dodawać komentarze do obrazków, układać obrazki
w katalogi, drukować obrazki, oglądać slajdy, ustawiać tło biurka itd.

%package devel
Summary:	gThumb development files
Summary(pl.UTF-8):	Pliki programistyczne gThumb
Group:		X11/Development/Libraries
Requires:	gtk+3-devel >= 3.2.0

%description devel
This package provides header files for developing gThumb extensions.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki nagłówkowe potrzebne do rozwijania
rozszerzeń gThumb.

%prep
%setup -q

sed -i -e 's#sr@Latn#sr@latin#' po/LINGUAS
mv -f po/sr@{Latn,latin}.po

%build
%{__gnome_doc_common}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-silent-rules \
	--enable-libopenraw
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions/*.{a,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/extensions
%attr(755,root,root) %{_libdir}/%{name}/extensions/*.so
%{_libdir}/%{name}/extensions/*.extension
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/gthumb.convert
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/glib-2.0/schemas/*.enums.xml
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_desktopdir}/gthumb.desktop
%{_desktopdir}/gthumb-import.desktop
%{_mandir}/man1/gthumb.1*

%files devel
%defattr(644,root,root,755)
%{_aclocaldir}/gthumb.m4
%{_includedir}/gthumb-*
%{_pkgconfigdir}/gthumb-*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gthumb.spec,v $
Revision 1.93  2012/06/07 10:14:46  megabajt
- updated to 3.0.1

Revision 1.92  2012/01/31 21:29:11  lisu
- package more schemas

Revision 1.91  2012/01/31 21:15:48  lisu
- updated to 2.14.2
- tar.xz package

Revision 1.90  2011/04/04 12:59:38  baggins
- release 4

Revision 1.89  2011/03/24 18:40:12  arekm
- release 3

Revision 1.88  2011/02/04 18:23:54  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.87  2010/11/17 09:13:49  megabajt
- updated to 2.12.1
- removed obsolete -desktop.patch

Revision 1.86  2010/09/12 20:32:27  dzeus
- up to 2.10.12

Revision 1.85  2010/03/01 18:12:03  sparky
- BR: libopenraw-gnome-devel
- dropped unused libunique

Revision 1.84  2010/02/27 17:23:43  hawk
- release 3

Revision 1.83  2010/01/14 13:46:13  hawk
- release 2

Revision 1.82  2009/11/28 22:41:57  sparky
- BR: docbook-dtd412-xml

Revision 1.81  2009/07/13 06:05:13  dzeus
- up to 2.10.11

Revision 1.80  2009/07/12 13:24:05  arekm
- release 2

Revision 1.79  2009/04/04 23:28:00  patrys
- unique -> libunique

Revision 1.78  2008/12/26 21:24:19  dzeus
- up to 2.10.10

Revision 1.77  2008/01/02 18:14:22  megabajt
- updated to 2.10.8
- used better way to fix locale name and --with-omf

Revision 1.76  2007-11-04 23:10:25  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.75  2007/10/17 18:25:31  megabajt
- updated to 2.10.7

Revision 1.74  2007/08/29 20:57:08  aflinta
- up to version 2.10.6

Revision 1.73  2007/06/20 21:52:00  megabajt
- updated to 2.10.4

Revision 1.72  2007/04/10 09:42:37  megabajt
- updated to 2.10.2

Revision 1.71  2007/03/29 19:09:11  megabajt
- updated to 2.10.1

Revision 1.70  2007/03/23 20:13:43  dzeus
- removed obsolete link.patch (included in source)
- updated desktop.patch

Revision 1.69  2007/03/23 16:44:54  aredridel
- 2.10.0

Revision 1.68  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.67  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.66  2006/12/25 18:49:44  megabajt
- updated to 2.8.1
- added link patch (kill undefined symbol: gp_camera_new)

Revision 1.65  2006/12/17 13:35:33  aflinta
- 2.8.0

Revision 1.64  2006/10/03 19:51:22  grzegol
- updated to 2.7.9
- removed outdated libadd patch (applied upstream)

Revision 1.63  2006/08/12 16:52:55  freetz
- fix build with --as-needed (libadd patch), rel.3

Revision 1.62  2006/08/10 20:43:44  freetz
- rel.2 for rebuild with new openssl

Revision 1.61  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.60  2006/07/26 18:45:04  freetz
- 2.8.8, use rpm macros, disable --as-needed build

Revision 1.59  2006/06/11 10:14:10  freetz
- more changes described

Revision 1.58  2006/06/11 10:06:16  freetz
- merged from DEVEL, GNOME 2.15.x deps, (re)generate icon cache,
  changelog cut
